## swarm-cluster 1.2.19+dfsg

=== Makefile ===
# SWARM
#
# Copyright (C) 2012-2013 Torbjorn Rognes and Frederic Mahe
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Contact: Torbjorn Rognes <torognes@ifi.uio.no>, 
# Department of Informatics, University of Oslo, 
# PO Box 1080 Blindern, NO-0316 Oslo, Norway

# Makefile for SWARM

# Profiling options
#COMMON=-pg -g
COMMON=-g

COMPILEOPT=-Wall -mssse3 -mtune=core2 -Icityhash

LIBS=-lpthread
LINKFLAGS=$(COMMON)

# Intel options
#CXX=icpc
#CXXFLAGS=$(COMPILEOPT) $(COMMON) -Wno-missing-declarations -fast

# GNU options
CXX=g++
CXXFLAGS=$(COMPILEOPT) $(COMMON) -O3

PROG=swarm

OBJS=swarm.o db.o search8.o search16.o nw.o matrix.o util.o scan.o \
	algo.o algod1.o qgram.o cityhash/city.o

DEPS=Makefile swarm.h cityhash/config.h cityhash/city.h


.SUFFIXES:.o .cc

%.o : %.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -c -o $@ $<

%.s : %.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -c -S -o $@ $<

all : $(PROG)

swarm : $(OBJS)
	$(CXX) $(LINKFLAGS) -o $@ $(OBJS) $(LIBS)

clean :
	rm -f *.o *~ $(PROG) gmon.out cityhash/*.o

=== debian/changelog ===
swarm-cluster (1.2.19+dfsg-1) unstable; urgency=medium

  * Initial Debian release
    Closes: #775861

 -- Andreas Tille <tille@debian.org>  Tue, 20 Jan 2015 14:47:36 +0100

swarm-cluster (1.2.18-0biolinux1) trusty; urgency=medium

  * Initial release for Bio-Linux

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 26 Sep 2014 12:11:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md

override_dh_auto_clean:
	dh_auto_clean
	rm -f README.html

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/torognes/swarm/releases .*/archive/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## swarm-cluster 2.1.1

=== debian/changelog ===
swarm-cluster (2.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2015 15:42:55 +0200

## swarm-cluster 2.1.5

=== src/Makefile ===
# SWARM
#
# Copyright (C) 2012-2015 Torbjorn Rognes and Frederic Mahe
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Contact: Torbjorn Rognes <torognes@ifi.uio.no>, 
# Department of Informatics, University of Oslo, 
# PO Box 1080 Blindern, NO-0316 Oslo, Norway

# Makefile for SWARM

# Profiling options
#COMMON=-pg -g
COMMON=-g

COMPILEOPT=-Wall -Wsign-compare -O3 -msse2 -mtune=core2 -Icityhash

LIBS=-lpthread
LINKFLAGS=$(COMMON)

CXX=g++
CXXFLAGS=$(COMPILEOPT) $(COMMON)

PROG=swarm

OBJS=swarm.o db.o search8.o search16.o nw.o matrix.o util.o scan.o \
	algo.o algod1.o qgram.o ssse3.o derep.o arch.o cityhash/city.o

DEPS=Makefile swarm.h bitmap.h bloom.h cityhash/config.h cityhash/city.h \
	threads.h

.SUFFIXES:.o .cc

%.o : %.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -c -o $@ $<

all : $(PROG)

swarm : $(OBJS)
	$(CXX) $(LINKFLAGS) -o $@ $(OBJS) $(LIBS)
	mkdir -p ../bin
	cp -a swarm ../bin

clean :
	rm -rf swarm *.o *~ ../bin/ gmon.out cityhash/*.o ../man/*~ ../*~

ssse3.o : ssse3.cc $(DEPS)
	$(CXX) -mssse3 $(CXXFLAGS) -c -o $@ $<

=== debian/changelog ===
swarm-cluster (2.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2015 18:59:02 +0200

=== debian/watch ===
version=3
https://github.com/torognes/swarm/releases .*/archive/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## swarm-cluster 2.1.6

=== debian/changelog ===
swarm-cluster (2.1.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 31 Dec 2015 13:49:43 +0100

=== debian/control ===
Source: swarm-cluster
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               man-db,
               python-markdown
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/swarm-cluster/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/swarm-cluster/trunk/
Homepage: https://github.com/torognes/swarm

Package: swarm
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: python
Description: robust and fast clustering method for amplicon-based studies
 The purpose of swarm is to provide a novel clustering algorithm to handle large
 sets of amplicons. Traditional clustering algorithms results are strongly
 input-order dependent, and rely on an arbitrary global clustering threshold.
 swarm results are resilient to input-order changes and rely on a small local
 linking threshold d, the maximum number of differences between two amplicons.
 swarm forms stable high-resolution clusters, with a high yield of biological
 information.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_OPTIONS
 
 %:
-	dh  $@
+	dh $@ --sourcedirectory=src
 
 override_dh_auto_build:
 	dh_auto_build

## swarm-cluster 2.1.8

=== debian/changelog ===
swarm-cluster (2.1.8-2) unstable; urgency=medium

  * Team upload.
  * Fix building with GCC 6.
    Closes: #811893
  * Enable external override for $CXX.
  * Bump Standards-Version.
  * Use secure Copyright-Format link.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 23 Jul 2016 10:11:28 +0000

swarm-cluster (2.1.8-1) unstable; urgency=medium

  * New upstream version
  * Moved from SVN to Git
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Sat, 19 Mar 2016 19:07:43 +0100

swarm-cluster (2.1.7-1) unstable; urgency=medium

  * New upstream version
  * Additional citation
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 10 Mar 2016 23:17:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 export DH_OPTIONS
+
+# does not build with these options
+# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
 	dh $@ --sourcedirectory=src

## swarm-cluster 2.1.9

=== debian/changelog ===
swarm-cluster (2.1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Sep 2016 15:09:20 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper (>= 9),
                man-db,
                python-markdown
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/swarm-cluster/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/swarm-cluster/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/swarm-cluster.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
 
 Package: swarm
@@ -25,4 +25,3 @@
  linking threshold d, the maximum number of differences between two amplicons.
  swarm forms stable high-resolution clusters, with a high yield of biological
  information.
-

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 export DH_OPTIONS
 
 # does not build with these options
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
 	dh $@ --sourcedirectory=src

## swarm-cluster 2.1.10+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2015 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2016 Torbjorn Rognes and Frederic Mahe
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as

=== debian/changelog ===
swarm-cluster (2.1.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove PDF without source.
  * Adapt watchfile to use repacking and add DFSG suffix.
  * Make sure the swarm binary is included in package.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Jan 2017 22:32:18 +0000

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://github.com/torognes/swarm/releases .*/archive/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## swarm-cluster 2.1.12+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2016 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2017 Torbjorn Rognes and Frederic Mahe
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as

=== debian/changelog ===
swarm-cluster (2.1.12+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2017 09:06:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                man-db,
                python-markdown
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md

override_dh_auto_clean:
	dh_auto_clean
	rm -f README.html

## swarm-cluster 2.2.2+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -25,13 +25,12 @@
 #COMMON=-pg -g
 COMMON=-g
 
-COMPILEOPT=-Wall -Wsign-compare -O3 -msse2 -mtune=core2 -Icityhash
-
 LIBS=-lpthread
 LINKFLAGS=$(COMMON)
 
 CXX=g++
-CXXFLAGS=$(COMPILEOPT) $(COMMON)
+WARNINGS=-Wall -Wsign-compare -Wextra -Wpedantic -Wno-long-long
+CXXFLAGS=$(COMMON) $(WARNINGS) -O3 -msse2 -mtune=core2 -Icityhash
 
 PROG=swarm
 
@@ -40,11 +39,6 @@
 
 DEPS=Makefile swarm.h bitmap.h bloom.h cityhash/config.h cityhash/city.h \
 	threads.h
-
-.SUFFIXES:.o .cc
-
-%.o : %.cc $(DEPS)
-	$(CXX) $(CXXFLAGS) -c -o $@ $<
 
 all : $(PROG)
 
@@ -57,4 +51,4 @@
 	rm -rf swarm *.o *~ ../bin/ gmon.out cityhash/*.o ../man/*~ ../*~
 
 ssse3.o : ssse3.cc $(DEPS)
-	$(CXX) -mssse3 $(CXXFLAGS) -c -o $@ $<
+	$(CXX) $(CXXFLAGS) -mssse3 -c -o $@ $<

=== debian/changelog ===
swarm-cluster (2.2.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sat, 16 Jun 2018 19:08:01 +0200

swarm-cluster (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version (no pdf versions of makefiles any more)
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 11:13:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                man-db,
                python-markdown
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/swarm-cluster.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/swarm-cluster.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
+Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
 
 Package: swarm

## swarm-cluster 3.0.0+dfsg

=== Makefile ===
# SWARM
#
# Copyright (C) 2012-2019 Torbjorn Rognes and Frederic Mahe
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Torbjorn Rognes <torognes@ifi.uio.no>,
# Department of Informatics, University of Oslo,
# PO Box 1080 Blindern, NO-0316 Oslo, Norway

# Makefile for SWARM

PROG=bin/swarm
MAN=man/swarm.1

swarm : $(PROG)

$(PROG) :
	make -C src swarm

install : $(PROG) $(MAN)
	/usr/bin/install -c $(PROG) '/usr/local/bin'
	/usr/bin/install -c $(MAN) '/usr/local/share/man/man1'

clean :
	make -C src clean

=== src/Makefile ===
# SWARM
#
# Copyright (C) 2012-2019 Torbjorn Rognes and Frederic Mahe
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Torbjorn Rognes <torognes@ifi.uio.no>,
# Department of Informatics, University of Oslo,
# PO Box 1080 Blindern, NO-0316 Oslo, Norway

# Makefile for SWARM

# Profiling options
# PROFILING=-pg
PROFILING=

# Machine specific
MACHINE=$(shell uname -m)
ifeq ($(MACHINE), x86_64)
	ARCHOPT = -march=x86-64 -mtune=generic -std=c++11
	EXTRAOBJ = ssse3.o
else ifeq ($(MACHINE), aarch64)
	ARCHOPT = -march=armv8-a+simd -mtune=generic \
	          -flax-vector-conversions -std=c++11
	EXTRAOBJ =
else ifeq ($(MACHINE), ppc64le)
	ARCHOPT = -mcpu=power8 -std=gnu++11
	EXTRAOBJ =
endif

# OS specific
ifeq ($(CXX), x86_64-w64-mingw32-g++)
	LIBS = -lpthread -lpsapi
	WARNOPT =
	LINKOPT = -static
else
	LIBS = -lpthread
	WARNOPT = -pedantic
	LINKOPT =
endif

WARNINGS = -Wall -Wextra $(WARNOPT) \
#	-Weverything -Wno-c++98-compat -Wno-c++98-compat-pedantic

COMMON=$(PROFILING) -g -flto -O3 $(ARCHOPT)

LINKFLAGS=$(COMMON) $(LINKOPT)

CXXFLAGS=$(COMMON) $(WARNINGS)

PROG=swarm

OBJS=swarm.o db.o search8.o search16.o nw.o matrix.o util.o scan.o \
	algo.o algod1.o qgram.o derep.o arch.o city.o \
	zobrist.o bloompat.o bloomflex.o variants.o hashtable.o \
	$(EXTRAOBJ)

DEPS=Makefile swarm.h city.h citycrc.h \
	threads.h zobrist.h bloompat.h bloomflex.h variants.h hashtable.h

all : $(PROG)

swarm : $(OBJS) $(DEPS)
	$(CXX) $(LINKFLAGS) -o $@ $(OBJS) $(LIBS)
	mkdir -p ../bin
	cp -a swarm ../bin

clean :
	rm -rf swarm *.o *~ gmon.out

.o : .cc $(DEPS)
	$(CXX) $(CXXFLAGS) -c -o $@ $<

ssse3.o : ssse3.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -mssse3 -c -o $@ $<

=== debian/changelog ===
swarm-cluster (3.0.0+dfsg-2) unstable; urgency=medium

  * Recommends: s/python/python3/
    Closes: #943281
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 17:16:54 +0100

swarm-cluster (3.0.0+dfsg-1) unstable; urgency=medium

  * Replace python-markdown by markdown
    Closes: #943281
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 11:05:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                man-db,
-               python-markdown
-Standards-Version: 4.1.4
+               markdown
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
 Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
@@ -16,7 +16,7 @@
 Architecture: amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: python
+Recommends: python3
 Description: robust and fast clustering method for amplicon-based studies
  The purpose of swarm is to provide a novel clustering algorithm to handle large
  sets of amplicons. Traditional clustering algorithms results are strongly

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://github.com/torognes/swarm/releases .*/archive/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## swarm-cluster 3.1.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2019 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2021 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as

=== man/Makefile ===
# SWARM
#
# Copyright (C) 2012-2021 Torbjorn Rognes and Frederic Mahe
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Torbjorn Rognes <torognes@ifi.uio.no>,
# Department of Informatics, University of Oslo,
# PO Box 1080 Blindern, NO-0316 Oslo, Norway

# Makefile for Swarm PDF manual from Swarm man file

all : swarm_manual.pdf

swarm_manual.pdf : swarm.1
	sed -e 's/\\-/-/g' $< | \
	iconv -f UTF-8 -t ISO-8859-1 | \
	groff -t -m mandoc -T ps -P -pa4 | ps2pdf - $@

clean : swarm_manual.pdf
	rm swarm_manual.pdf

=== src/Makefile ===
# SWARM
#
# Copyright (C) 2012-2021 Torbjorn Rognes and Frederic Mahe
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Torbjorn Rognes <torognes@ifi.uio.no>,
# Department of Informatics, University of Oslo,
# PO Box 1080 Blindern, NO-0316 Oslo, Norway

# Makefile for SWARM

COMMON = -g
EXTRAOBJ =
LINKOPT =
LIBS = -lpthread
WARNINGS = -Wall -Wextra

# Run "make RELEASE=1" to compile for release
ifdef RELEASE
	COMMON += -DNDEBUG
endif

# Run "make PROFILE=1" to compile for profiling
ifdef PROFILE
	COMMON += -pg
endif

# Run "make COVERAGE=1" to compile for coverage tests
ifdef COVERAGE
	COMMON += -fprofile-arcs -ftest-coverage -O0
	LIBS += -lgcov
	LINKFLAGS += --coverage
else
	COMMON += -flto -O3
endif

# Machine specific
ifeq ($(CXX), aarch64-linux-gnu-g++)
	MACHINE = aarch64
else ifeq ($(CXX), powerpc64le-linux-gnu-g++)
	MACHINE = ppc64le
else
	MACHINE = $(shell uname -m)
endif

ifeq ($(MACHINE), x86_64)
	COMMON += -march=x86-64 -mtune=generic -std=c++11
	EXTRAOBJ += ssse3.o sse41.o popcnt.o
else ifeq ($(MACHINE), aarch64)
	COMMON += -march=armv8-a+simd -mtune=generic \
	          -flax-vector-conversions -std=c++11
else ifeq ($(MACHINE), arm64)
	COMMON += -std=c++11
else ifeq ($(MACHINE), ppc64le)
	COMMON += -mcpu=power8 -std=gnu++11
endif

# OS specific
ifeq ($(CXX), x86_64-w64-mingw32-g++)
	LIBS += -lpsapi
	LINKOPT += -static
	BIN = swarm.exe
else
	WARNINGS += -pedantic
	BIN = swarm
endif

LINKFLAGS = $(COMMON) $(LINKOPT)

CXXFLAGS = $(COMMON) $(WARNINGS)

PROG = swarm

OBJS = swarm.o db.o search8.o search16.o nw.o matrix.o util.o scan.o \
	algo.o algod1.o qgram.o derep.o arch.o \
	zobrist.o bloompat.o bloomflex.o variants.o hashtable.o \
	$(EXTRAOBJ)

DEPS = Makefile swarm.h \
	threads.h zobrist.h bloompat.h bloomflex.h variants.h hashtable.h


all : $(PROG)

swarm : $(OBJS) $(DEPS)
	$(CXX) $(LINKFLAGS) -o $@ $(OBJS) $(LIBS)
	mkdir -p ../bin
	cp -a $(BIN) ../bin

clean :
	rm -f swarm *.o *~ gmon.out *.gcno *.gcda *.gcov ../bin/swarm

.o : .cc $(DEPS)
	$(CXX) $(CXXFLAGS) -c -o $@ $<

ssse3.o : ssse3.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -mssse3 -c -o $@ $<

sse41.o : sse41.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -msse4.1 -c -o $@ $<

popcnt.o : popcnt.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -mpopcnt -c -o $@ $<

=== debian/changelog ===
swarm-cluster (3.1.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.1.0+dfsg
  * d/watch: Fix watch regex
  * Refresh patches
  * Add d/salsa-ci.yml
  * d/control:
     - Add arm64 and ppc64el to architecture list
     - Bump debhelper-compat version to 13
     - Declare compliance with policy 4.5.1
     - Add "Rules-Requires-Root: no"
  * d/p/privacy-breach.patch: Fix privacy breach warns

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 Aug 2021 23:43:04 +0530

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                man-db,
                markdown
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
 Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
+Rules-Requires-Root: no
 
 Package: swarm
-Architecture: amd64
+Architecture: amd64 arm64 ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: python3

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://github.com/torognes/swarm/releases .*/archive/.*/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## swarm-cluster 3.1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 install : $(PROG) $(MAN)
 	/usr/bin/install -c $(PROG) '/usr/local/bin'
+	/usr/bin/install -d '/usr/local/share/man/man1'
 	/usr/bin/install -c $(MAN) '/usr/local/share/man/man1'
 
 clean :

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2021 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2022 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -26,6 +26,7 @@
 LINKOPT =
 LIBS = -lpthread
 WARNINGS = -Wall -Wextra
+CLANG = clang
 
 # Run "make RELEASE=1" to compile for release
 ifdef RELEASE
@@ -43,7 +44,13 @@
 	LIBS += -lgcov
 	LINKFLAGS += --coverage
 else
-	COMMON += -flto -O3
+	COMPILER_VERSION := $(shell $(CXX) --version)
+	ifeq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
+		COMMON += -flto=full
+	else
+		COMMON += -flto=auto
+	endif
+	COMMON += -O3
 endif
 
 # Machine specific
@@ -64,7 +71,7 @@
 else ifeq ($(MACHINE), arm64)
 	COMMON += -std=c++11
 else ifeq ($(MACHINE), ppc64le)
-	COMMON += -mcpu=power8 -std=gnu++11
+	COMMON += -mcpu=power8 -maltivec -std=gnu++11
 endif
 
 # OS specific
@@ -83,13 +90,15 @@
 
 PROG = swarm
 
-OBJS = swarm.o db.o search8.o search16.o nw.o matrix.o util.o scan.o \
-	algo.o algod1.o qgram.o derep.o arch.o \
-	zobrist.o bloompat.o bloomflex.o variants.o hashtable.o \
-	$(EXTRAOBJ)
+OBJS = algo.o algod1.o arch.o bloomflex.o bloompat.o db.o derep.o \
+	hashtable.o matrix.o nw.o qgram.o scan.o search16.o search8.o \
+	swarm.o util.o utils/fatal.o utils/hashtable_size.o variants.o \
+	x86_cpu_features.o zobrist.o $(EXTRAOBJ)
 
-DEPS = Makefile swarm.h \
-	threads.h zobrist.h bloompat.h bloomflex.h variants.h hashtable.h
+DEPS = Makefile arch.h bloomflex.h bloompat.h db.h hashtable.h matrix.h \
+	nw.h pseudo_rng.h qgram.h scan.h search16.h search8.h swarm.h util.h \
+	utils/fatal.h utils/gcd.h utils/hashtable_size.h threads.h variants.h \
+	x86_cpu_features.h zobrist.h
 
 
 all : $(PROG)
@@ -100,7 +109,7 @@
 	cp -a $(BIN) ../bin
 
 clean :
-	rm -f swarm *.o *~ gmon.out *.gcno *.gcda *.gcov ../bin/swarm
+	rm -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov ../bin/swarm
 
 .o : .cc $(DEPS)
 	$(CXX) $(CXXFLAGS) -c -o $@ $<

=== debian/changelog ===
swarm-cluster (3.1.2+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2022 21:01:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                man-db,
                markdown
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
 Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/torognes/swarm/tags .*/v*([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## swarm-cluster 3.1.4%2Bdfsg

=== debian/changelog ===
swarm-cluster (3.1.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/patches: Refresh patches (allow_cxx_override.patch, hardening.patch,
    and privacy-breach.patch)
  * d/salsa-ci.yml: Update to use pipeline-jobs.yml and disable i386 build
  * d/upstream/metadata: Set missing fields (Repository and Repository-Browse)
  * d/tests/run-unit-test: Change interpreter to bash and use set for exiting

 -- Lance Lin <lq27267@gmail.com>  Thu, 25 Jan 2024 19:35:26 +0700

## swarm-cluster 3.1.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2021 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as

=== man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2021 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2022 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -28,32 +28,59 @@
 WARNINGS = -Wall -Wextra
 CLANG = clang
 
+
 # Run "make RELEASE=1" to compile for release
 ifdef RELEASE
-	COMMON += -DNDEBUG
-endif
-
-# Run "make PROFILE=1" to compile for profiling
-ifdef PROFILE
-	COMMON += -pg
-endif
-
-# Run "make COVERAGE=1" to compile for coverage tests
-ifdef COVERAGE
-	COMMON += -fprofile-arcs -ftest-coverage -O0
-	LIBS += -lgcov
-	LINKFLAGS += --coverage
-else
+	COMMON += -O3 -DNDEBUG
 	COMPILER_VERSION := $(shell $(CXX) --version)
 	ifeq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
 		COMMON += -flto=full
 	else
-		COMMON += -flto=auto
+		GCCVERSIONGTEQ12 := $(shell expr `gcc -dumpversion | cut -f 1 -d "."` \>= 12)
+		ifeq "$(GCCVERSIONGTEQ12)" "1"
+			COMMON += -flto=auto
+		else
+			COMMON += -flto
+		endif
 	endif
-	COMMON += -O3
+
+# Run "make PROFILE=1" to compile for profiling
+else ifdef PROFILE
+	COMMON += -pg -O1
+
+# Run "make DEBUG=1" to compile for debugging (GCC 10 or more recent)
+else ifdef DEBUG
+	COMMON += -Og -DDEBUG -ggdb3 -fsanitize=undefined,address -fno-omit-frame-pointer -Werror
+	COMPILER_VERSION := $(shell $(CXX) --version)
+	ifneq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
+		COMMON += -fanalyzer
+	endif
+
+
+# Run "make COVERAGE=1" to compile for coverage tests
+else ifdef COVERAGE
+	COMMON += -fprofile-arcs -ftest-coverage -O0
+	LIBS += -lgcov
+	LINKFLAGS += --coverage
+
+# default behaviour is to compile for release (max optimizations)
+else
+	COMMON += -O3 -DNDEBUG
+	COMPILER_VERSION := $(shell $(CXX) --version)
+	ifeq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
+		COMMON += -flto=full
+	else
+		GCCVERSIONGTEQ12 := $(shell expr `gcc -dumpversion | cut -f 1 -d "."` \>= 12)
+		ifeq "$(GCCVERSIONGTEQ12)" "1"
+			COMMON += -flto=auto
+		else
+			COMMON += -flto
+		endif
+	endif
 endif
 
-# Machine specific
+
+# Identify Machine
 ifeq ($(CXX), aarch64-linux-gnu-g++)
 	MACHINE = aarch64
 else ifeq ($(CXX), powerpc64le-linux-gnu-g++)
@@ -62,6 +89,8 @@
 	MACHINE = $(shell uname -m)
 endif
 
+
+# Machine specific
 ifeq ($(MACHINE), x86_64)
 	COMMON += -march=x86-64 -mtune=generic -std=c++11
 	EXTRAOBJ += ssse3.o sse41.o popcnt.o
@@ -74,7 +103,8 @@
 	COMMON += -mcpu=power8 -maltivec -std=gnu++11
 endif
 
-# OS specific
+
+# OS specific (Windows vs. others)
 ifeq ($(CXX), x86_64-w64-mingw32-g++)
 	LIBS += -lpsapi
 	LINKOPT += -static
@@ -84,6 +114,7 @@
 	BIN = swarm
 endif
 
+
 LINKFLAGS = $(COMMON) $(LINKOPT)
 
 CXXFLAGS = $(COMMON) $(WARNINGS)
@@ -91,14 +122,15 @@
 PROG = swarm
 
 OBJS = algo.o algod1.o arch.o bloomflex.o bloompat.o db.o derep.o \
-	hashtable.o matrix.o nw.o qgram.o scan.o search16.o search8.o \
+	hashtable.o nw.o qgram.o scan.o search16.o search8.o \
 	swarm.o util.o utils/fatal.o utils/hashtable_size.o variants.o \
 	x86_cpu_features.o zobrist.o $(EXTRAOBJ)
 
-DEPS = Makefile arch.h bloomflex.h bloompat.h db.h hashtable.h matrix.h \
-	nw.h pseudo_rng.h qgram.h scan.h search16.h search8.h swarm.h util.h \
-	utils/fatal.h utils/gcd.h utils/hashtable_size.h threads.h variants.h \
-	x86_cpu_features.h zobrist.h
+DEPS = Makefile arch.h algo.h algod1.h bloomflex.h bloompat.h db.h derep.h hashtable.h \
+	nw.h qgram.h scan.h search16.h search8.h swarm.h \
+	util.h utils/fatal.h utils/gcd.h utils/hashtable_size.h utils/nt_codec.h utils/pseudo_rng.h \
+	utils/qgram_array.h utils/score_matrix.h utils/threads.h variants.h x86_cpu_features.h \
+	zobrist.h
 
 
 all : $(PROG)
@@ -109,7 +141,8 @@
 	cp -a $(BIN) ../bin
 
 clean :
-	rm -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov ../bin/swarm
+	rm -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov \
+	./utils/*.gcno ./utils/*.gcda ./utils/*.gcov ../bin/swarm
 
 .o : .cc $(DEPS)
 	$(CXX) $(CXXFLAGS) -c -o $@ $<

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                man-db,
                markdown
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
 Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm

## swarm-cluster 3.1.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -27,7 +27,7 @@
 swarm : $(PROG)
 
 $(PROG) :
-	make -C src swarm
+	$(MAKE) -C src swarm
 
 install : $(PROG) $(MAN)
 	/usr/bin/install -c $(PROG) '/usr/local/bin'
@@ -35,4 +35,4 @@
 	/usr/bin/install -c $(MAN) '/usr/local/share/man/man1'
 
 clean :
-	make -C src clean
+	$(MAKE) -C src clean

=== man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2023 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -25,9 +25,14 @@
 EXTRAOBJ =
 LINKOPT =
 LIBS = -lpthread
-WARNINGS = -Wall -Wextra
+WARNINGS = -Wall -Wextra -Wpedantic
 CLANG = clang
-
+DEBUG_WARNINGS = -Wcast-align -Wcast-qual -Wconversion -Wdate-time \
+	-Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-equal \
+	-Wformat=2 -Wformat-overflow -Wlogical-op -Wnon-virtual-dtor -Wnull-dereference \
+	-Wold-style-cast -Woverloaded-virtual -Wshadow -Wsign-conversion -Wuninitialized \
+        -Wunsafe-loop-optimizations -Wunused -Wunused-macros -Wuseless-cast -Wvla
+DEBUG_SANITIZER = -fsanitize=undefined,address -fno-sanitize=alignment -fno-omit-frame-pointer
 
 # Run "make RELEASE=1" to compile for release
 ifdef RELEASE
@@ -50,11 +55,7 @@
 
 # Run "make DEBUG=1" to compile for debugging (GCC 10 or more recent)
 else ifdef DEBUG
-	COMMON += -Og -DDEBUG -ggdb3 -fsanitize=undefined,address -fno-omit-frame-pointer -Werror
-	COMPILER_VERSION := $(shell $(CXX) --version)
-	ifneq ($(CLANG), $(findstring $(CLANG), $(COMPILER_VERSION)))
-		COMMON += -fanalyzer
-	endif
+	COMMON += -O0 -DDEBUG -ggdb3 -D_GLIBCXX_DEBUG $(DEBUG_SANITIZER) $(DEBUG_WARNINGS)
 
 
 # Run "make COVERAGE=1" to compile for coverage tests
@@ -85,6 +86,10 @@
 	MACHINE = aarch64
 else ifeq ($(CXX), powerpc64le-linux-gnu-g++)
 	MACHINE = ppc64le
+else ifeq ($(CXX), x86_64-linux-gnu-g++)
+	MACHINE = x86_64
+else ifeq ($(CXX), x86_64-w64-mingw32-g++)
+	MACHINE = x86_64
 else
 	MACHINE = $(shell uname -m)
 endif
@@ -110,7 +115,6 @@
 	LINKOPT += -static
 	BIN = swarm.exe
 else
-	WARNINGS += -pedantic
 	BIN = swarm
 endif
 
@@ -123,15 +127,10 @@
 
 OBJS = algo.o algod1.o arch.o bloomflex.o bloompat.o db.o derep.o \
 	hashtable.o nw.o qgram.o scan.o search16.o search8.o \
-	swarm.o util.o utils/fatal.o utils/hashtable_size.o variants.o \
-	x86_cpu_features.o zobrist.o $(EXTRAOBJ)
+	swarm.o util.o variants.o zobrist.o \
+	$(patsubst %.cc, %.o, $(wildcard utils/*.cc)) $(EXTRAOBJ)
 
-DEPS = Makefile arch.h algo.h algod1.h bloomflex.h bloompat.h db.h derep.h hashtable.h \
-	nw.h qgram.h scan.h search16.h search8.h swarm.h \
-	util.h utils/fatal.h utils/gcd.h utils/hashtable_size.h utils/nt_codec.h utils/pseudo_rng.h \
-	utils/qgram_array.h utils/score_matrix.h utils/threads.h variants.h x86_cpu_features.h \
-	zobrist.h
-
+DEPS = Makefile $(wildcard *.h) $(wildcard utils/*.h)
 
 all : $(PROG)
 
@@ -141,8 +140,8 @@
 	cp -a $(BIN) ../bin
 
 clean :
-	rm -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov \
-	./utils/*.gcno ./utils/*.gcda ./utils/*.gcov ../bin/swarm
+	rm -r -f swarm *.o ./utils/*.o *~ gmon.out *.gcno *.gcda *.gcov \
+	./utils/*.gcno ./utils/*.gcda ./utils/*.gcov ../bin/
 
 .o : .cc $(DEPS)
 	$(CXX) $(CXXFLAGS) -c -o $@ $<

=== debian/changelog ===
swarm-cluster (3.1.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on discount instead of markdown (Closes: #1073106)

 -- Charles Plessy <plessy@debian.org>  Wed, 03 Jul 2024 22:07:43 +0200

swarm-cluster (3.1.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: Update copyright years for all files and add myself for
    copyright year 2024 for debian files
  * d/salsa-ci.yml: Disable varying time and build_path for reprotest

 -- Lance Lin <lq27267@gmail.com>  Wed, 08 May 2024 21:20:37 +0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                man-db,
-               markdown
-Standards-Version: 4.6.2
+               discount
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
 Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	markdown_py -f README.html README.md
+	markdown README.md > README.html
 
 override_dh_auto_clean:
 	dh_auto_clean

## swarm-cluster 3.1.6%2Bdfsg

=== debian/changelog ===
swarm-cluster (3.1.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Remove Tim Booth <tbooth@ceh.ac.uk> since address is bouncing
    (Thank you for your work on this package, Tim)

  [ Lance Lin ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * d/copyright: Update copyright year to 2025 for debian files

 -- Lance Lin <lq27267@gmail.com>  Fri, 21 Nov 2025 19:38:49 +0700

## swarm-cluster 3.1.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2025 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -24,15 +24,19 @@
 PROG=bin/swarm
 MAN=man/swarm.1
 
+ifndef PREFIX
+	PREFIX=/usr/local
+endif
+
 swarm : $(PROG)
 
 $(PROG) :
 	$(MAKE) -C src swarm
 
 install : $(PROG) $(MAN)
-	/usr/bin/install -c $(PROG) '/usr/local/bin'
-	/usr/bin/install -d '/usr/local/share/man/man1'
-	/usr/bin/install -c $(MAN) '/usr/local/share/man/man1'
+	/usr/bin/install -c $(PROG) $(PREFIX)/bin
+	/usr/bin/install -d $(PREFIX)/share/man/man1
+	/usr/bin/install -c $(MAN) $(PREFIX)/share/man/man1
 
 clean :
 	$(MAKE) -C src clean

=== man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2025 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SWARM
 #
-# Copyright (C) 2012-2024 Torbjorn Rognes and Frederic Mahe
+# Copyright (C) 2012-2025 Torbjorn Rognes and Frederic Mahe
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -32,7 +32,7 @@
 	-Wformat=2 -Wformat-overflow -Wlogical-op -Wnon-virtual-dtor -Wnull-dereference \
 	-Wold-style-cast -Woverloaded-virtual -Wshadow -Wsign-conversion -Wuninitialized \
         -Wunsafe-loop-optimizations -Wunused -Wunused-macros -Wuseless-cast -Wvla
-DEBUG_SANITIZER = -fsanitize=undefined,address -fno-sanitize=alignment -fno-omit-frame-pointer
+DEBUG_SANITIZER = -fsanitize=undefined,address -fno-omit-frame-pointer
 
 # Run "make RELEASE=1" to compile for release
 ifdef RELEASE

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: swarm-cluster
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                man-db,
                discount
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/swarm-cluster
 Vcs-Git: https://salsa.debian.org/med-team/swarm-cluster.git
 Homepage: https://github.com/torognes/swarm
